Could not install package 'Facebook 6.8.0'

I have installed Xamarin Starter version, and want the App to access posts of some users on Facebook. I tried to add package the Facebook SDK for .Net, but it throws the error : "Could not install package 'Facebook 6.8.0'. You are trying to install this package into a project that targets 'MonoAndroid,Version=v5.0', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author."

I tried to change the target framework version, but that did not help. Any ideas?

Posts

  • mattwardmattward GBMember Xamurai

    The Facebook NuGet package is not compatible with Android projects.

    I am guessing you posted this question on StackOverflow. The suggestions posted there are to use the Facebook component from Xamarin's component store or the Xamarin Social component.

  • I just tried installing your component for Facebook and get the following error:

    Could not install package 'Xamarin.Facebook 3.22.0.0'. You are trying to install this package into a project that targets 'portable-net45+win+wp80+MonoTouch10+MonoAndroid10+xamarinmac20+xamarinios10', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author.

    What do I need to do to get it to work?

  • I manually added the Facebook 6.8.0 library and it seems to compile and work for now. Plan to use this library for now.

  • mattwardmattward GBMember Xamurai

    Looking at the Xamarin.Facebook NuGet package it only contains assemblies for Android and iOS. It does not contain a portable class library assembly so using it from a Portable Class Library is not supported since it may use an API that is not available in for the profile being targeted by the Portable Class Library.

  • TamasMatraiTamasMatrai HUUniversity ✭✭

    Do you have any solutions on this? This components (FaceBook SDK, Xamarin.Social) still can not be used in PCL projects, like in my Xamarin.Forms app.

Sign In or Register to comment.